<?php
require_once dirname(__FILE__) . "/../init.php";
require_once "Dklab/Cache/Backend/ReplicationWrapper.php"; 

class DummyBackend implements Zend_Cache_Backend_Interface
{
    private static $_n = 1;
    
    public function __construct()
    {
    	$this->_n = self::$_n++;
    }

    public function setDirectives($directives)
    {
    	$args = func_get_args();
    	echo $this->_n . ": " . __FUNCTION__ . "(" . var_export($args, 1) . ")\n";
    }
    
    
    public function load($id, $doNotTestCacheValidity = false)
    {
    	$args = func_get_args();
    	echo $this->_n . ": " . __FUNCTION__ . "(" . var_export($args, 1) . ")\n";
    }
    
    
    public function test($id)
    {
    	$args = func_get_args();
    	echo $this->_n . ": " . __FUNCTION__ . "(" . var_export($args, 1) . ")\n";
    }
    
    
    public function save($data, $id, $tags = array(), $specificLifetime = false)
    {
    	$args = func_get_args();
    	echo $this->_n . ": " . __FUNCTION__ . "(" . var_export($args, 1) . ")\n";
    }
    
    
    public function remove($id)
    {
    	$args = func_get_args();
    	echo $this->_n . ": " . __FUNCTION__ . "(" . var_export($args, 1) . ")\n";
    }
    
    
    public function clean($mode = Zend_Cache::CLEANING_MODE_ALL, $tags = array())
    {
    	$args = func_get_args();
    	echo $this->_n . ": " . __FUNCTION__ . "(" . var_export($args, 1) . ")\n";
    }
}

$dummy1 = new DummyBackend();
$dummy2 = new DummyBackend();
$dummy3 = new DummyBackend();
